﻿@import url('./loader.css');
@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
@import url('style.css');


html, body {
    display: flex;
    flex-direction: column;
}

body {
    flex-grow: 1;
}

#app {
    flex-grow: 1;
    min-height: calc(100dvh);
}

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

.svapp-layout {
    background: var(--gradient-background);
    min-height: calc(100dvh);
    display: flex;
    flex-direction: column;
}

    .svapp-layout .svapp-mud-app-bar {
        height: 64px;
    }

    .svapp-layout .svapp-maincontent {
        padding-top: 64px;
        flex: 1;
    }

#blazor-error-ui {
    background: var(--error-bg);
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }


.centered {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.no-link-style:link {
    background-color: transparent;
    text-decoration: none;
    color: unset;
}

.no-link-style:visited {
    background-color: transparent;
    text-decoration: none;
    color: unset;
}

.no-link-style:hover {
    background-color: transparent;
    text-decoration: underline;
    color: unset;
}

.no-link-style:active {
    background-color: transparent;
    text-decoration: underline;
    color: unset;
}


@media print {
    @page {
        margin: 0;
        margin-right: 0;
        margin-bottom: 0;
    }

    .mud-main-content {
        padding-top: 0;
    }

    .no-media-print {
        display: none !important;
    }
}
